/******************************************************************************
*******************************************************************************

	Space Impakto DS
	relminator
	http://rel.betterwebber.com


	Csprite class


*******************************************************************************
******************************************************************************/

#include <nds.h>

#ifndef Csprite__H
#define Csprite__H

class Csprite 
{
	public:
	
	
	Csprite();
	~Csprite();
	
	void create(OamState *_oam, int _width, int _height, SpriteSize _size, SpriteColorFormat _format, bool _increase_id, bool _reset_id_counter = false);
	void destroy();
	void update_oam();

	
	static int 			num_sprites;

	OamState 			*oam;
	
	int					oamID;
	
	int 				x;
	int 				y;


	int					width;
	int					height;
	
	SpriteColorFormat 	format;
	SpriteSize 			size;
	
	bool 				active;
	
	u16 				*gfx;
	
	
};


#endif // Csprite__H


